import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { NpiProviderArgsObjectSchema as NpiProviderArgsObjectSchema } from './NpiProviderArgs.schema';
import { CommissionBatchItemFindManySchema as CommissionBatchItemFindManySchema } from '../findManyCommissionBatchItem.schema';
import { CommissionBatchCountOutputTypeArgsObjectSchema as CommissionBatchCountOutputTypeArgsObjectSchema } from './CommissionBatchCountOutputTypeArgs.schema'

const makeSchema = () => z.object({
  id: z.boolean().optional(),
  npiProviderId: z.boolean().optional(),
  totalCollection: z.boolean().optional(),
  commissionAmount: z.boolean().optional(),
  notes: z.boolean().optional(),
  createdAt: z.boolean().optional(),
  npiProvider: z.union([z.boolean(), z.lazy(() => NpiProviderArgsObjectSchema)]).optional(),
  items: z.union([z.boolean(), z.lazy(() => CommissionBatchItemFindManySchema)]).optional(),
  _count: z.union([z.boolean(), z.lazy(() => CommissionBatchCountOutputTypeArgsObjectSchema)]).optional()
}).strict();
export const CommissionBatchSelectObjectSchema: z.ZodType<Prisma.CommissionBatchSelect> = makeSchema() as unknown as z.ZodType<Prisma.CommissionBatchSelect>;
export const CommissionBatchSelectObjectZodSchema = makeSchema();
